aboutsummaryrefslogtreecommitdiff
path: root/app/crypt
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-16 00:59:34 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-16 00:59:34 +0000
commit7da9a7993ef0ebe40a80e3f357423adfbea4c863 (patch)
tree6ecdb05c5f7c1c679738c991967a97f396afd25b /app/crypt
parent48a388bc51f72e4988dc2e7a72948bcff8522ab9 (diff)
downloadslackbuilds-7da9a7993ef0ebe40a80e3f357423adfbea4c863.tar.gz
slackbuilds-7da9a7993ef0ebe40a80e3f357423adfbea4c863.tar.bz2
movendo libs...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@714 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'app/crypt')
-rwxr-xr-xapp/crypt/hashalot/hashalot.SlackBuild107
1 files changed, 107 insertions, 0 deletions
diff --git a/app/crypt/hashalot/hashalot.SlackBuild b/app/crypt/hashalot/hashalot.SlackBuild
new file mode 100755
index 00000000..eb0c4cda
--- /dev/null
+++ b/app/crypt/hashalot/hashalot.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/bash
+#
+# slackbuild script for hashalot
+# by rhatto at riseup.net
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="hashalot"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.3}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE"_"$VERSION.orig.tar.$PACKAGE_EXT"
+URL="http://ftp.debian.org/debian/pool/main/h/hashalot/$SRC"
+PATCH="$PACKAGE"_"$VERSION-3.diff.gz"
+PATCH_URL="http://ftp.debian.org/debian/pool/main/h/hashalot/$PATCH"
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ rm -f $SRC_DIR/$PATCH
+ wget "$URL" -O "$SRC_DIR/$SRC"
+ wget "$PATCH_URL" -O "$SRC_DIR/$PATCH"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+gzip -dc $SRC_DIR/$PATCH | patch -p0
+cd $PACKAGE-$VERSION.orig
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+hashalot: hashalot (read and hash a passphrase)
+hashalot:
+hashalot: This program will read a passphrase from standard input and print
+hashalot: a binary (not printable) hash to standard output. The output is
+hashalot: suitable for use as an encryption key.
+hashalot:
+hashalot:
+hashalot:
+hashalot:
+hashalot:
+hashalot:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in AUTHORS COPYING ChangeLog INSTALL NEWS README; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+